package test.model;

import model.ApprovalStatus;
import org.junit.Test;
import static org.junit.Assert.*;

public class ApprovalStatusTest {
    
    @Test
    public void testEnumValues() {
        assertEquals("待审批状态描述不匹配", "待审批", ApprovalStatus.PENDING.getDescription());
        assertEquals("已批准状态描述不匹配", "已批准", ApprovalStatus.APPROVED.getDescription());
        assertEquals("已驳回状态描述不匹配", "已驳回", ApprovalStatus.REJECTED.getDescription());
    }
    
    @Test
    public void testEnumCount() {
        assertEquals("审批状态枚举值数量应为3", 3, ApprovalStatus.values().length);
    }
}
